#ifndef GAME_STATE_H
#define GAME_STATE_H

#include "core/object/object.h"
#include "core/object/class_db.h"

class GameState : public Object {
	GDCLASS(GameState, Object);
	static void _bind_methods();
public:
	static GameState *get_singleton();
	void set_locale_uid(String const &value);
	String get_locale_uid() const;
	void set_locale_entrance_path(String const &value);
	String get_locale_entrance_path() const;
private:
	String locale_uid{""};
	String locale_entrance_path{""};
};

#endif // !GAME_STATE_H
